#ifndef _FROGUTIL_H_
#define _FROGUTIL_H_

/*
  ---- Delphes ----
  A Fast Simulator for general purpose LHC detector
  S. Ovyn ~~~~ severine.ovyn@uclouvain.be
  
  Center for Particle Physics and Phenomenology (CP3)
  Universite Catholique de Louvain (UCL)
  Louvain-la-Neuve, Belgium
*/

/// \file SmearUtil.h
/// \brief RESOLution class, and some generic definitions

#include "SmearUtil.h"
#include "FROG_Events.h"


using namespace std;
class FrogDisplay {

 public:
   /// Constructor
   FrogDisplay();
   FrogDisplay(const string& DetDatacard);
   FrogDisplay(const RESOLution* DetDatacard);
   FrogDisplay(const FrogDisplay& frog);
   FrogDisplay& operator=(const FrogDisplay& frog);
   ~FrogDisplay() {delete DET;}

  void BuildEvents(const string& outputfilename);
  void BuildGeom();

 private:
   RESOLution *DET;
   unsigned int nEntryFrog;

};

#endif
